MODEL
MODEL_VERSION "1.0";
DESIGN "isa2can";
DATE "Tue Sep 08 09:34:44 2009";
VENDOR "Lattice Semiconductor Corporation";
PROGRAM "STAMP Model Generator";

/* port name and type */
INPUT AEN;
INPUT ISA_IORn;
INPUT ISA_IOWn;
INPUT ISA_RSTDRV;
INPUT ISA_SA0;
INPUT ISA_SA2;
INPUT ISA_SA3;
INPUT ISA_SA4;
INPUT ISA_SA5;
INPUT ISA_SA6;
INPUT ISA_SA7;
INPUT ISA_SA8;
INPUT ISA_SA9;
INPUT SJA_INTn;
OUTPUT ISA_IRQ;
OUTPUT SJA_ALE;
OUTPUT SJA_CSn;
OUTPUT SJA_RDn;
OUTPUT SJA_RSTn;
OUTPUT SJA_WRn;

/* timing arc definitions */
AEN_SJA_ALE_delay: DELAY AEN SJA_ALE;
AEN_SJA_CSn_delay: DELAY AEN SJA_CSn;
ISA_IORn_SJA_RDn_delay: DELAY ISA_IORn SJA_RDn;
ISA_IOWn_SJA_ALE_delay: DELAY ISA_IOWn SJA_ALE;
ISA_IOWn_SJA_WRn_delay: DELAY ISA_IOWn SJA_WRn;
ISA_RSTDRV_SJA_RSTn_delay: DELAY ISA_RSTDRV SJA_RSTn;
ISA_SA0_SJA_ALE_delay: DELAY ISA_SA0 SJA_ALE;
ISA_SA0_SJA_RDn_delay: DELAY ISA_SA0 SJA_RDn;
ISA_SA0_SJA_WRn_delay: DELAY ISA_SA0 SJA_WRn;
ISA_SA2_SJA_ALE_delay: DELAY ISA_SA2 SJA_ALE;
ISA_SA2_SJA_CSn_delay: DELAY ISA_SA2 SJA_CSn;
ISA_SA3_SJA_ALE_delay: DELAY ISA_SA3 SJA_ALE;
ISA_SA3_SJA_CSn_delay: DELAY ISA_SA3 SJA_CSn;
ISA_SA4_SJA_ALE_delay: DELAY ISA_SA4 SJA_ALE;
ISA_SA4_SJA_CSn_delay: DELAY ISA_SA4 SJA_CSn;
ISA_SA5_SJA_ALE_delay: DELAY ISA_SA5 SJA_ALE;
ISA_SA5_SJA_CSn_delay: DELAY ISA_SA5 SJA_CSn;
ISA_SA6_SJA_ALE_delay: DELAY ISA_SA6 SJA_ALE;
ISA_SA6_SJA_CSn_delay: DELAY ISA_SA6 SJA_CSn;
ISA_SA7_SJA_ALE_delay: DELAY ISA_SA7 SJA_ALE;
ISA_SA7_SJA_CSn_delay: DELAY ISA_SA7 SJA_CSn;
ISA_SA8_SJA_ALE_delay: DELAY ISA_SA8 SJA_ALE;
ISA_SA8_SJA_CSn_delay: DELAY ISA_SA8 SJA_CSn;
ISA_SA9_SJA_ALE_delay: DELAY ISA_SA9 SJA_ALE;
ISA_SA9_SJA_CSn_delay: DELAY ISA_SA9 SJA_CSn;
SJA_INTn_ISA_IRQ_delay: DELAY SJA_INTn ISA_IRQ;

/* timing check arc definitions */

ENDMODEL
